Change log for cglib package in Ubuntu

122 of 22 results
Published in disco-release on 2019-01-06
Deleted in disco-proposed (Reason: moved to release)
cglib (3.2.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <email address hidden>  Sun, 06 Jan 2019 01:11:54 +0100

Available diffs

Superseded in disco-release on 2019-01-06
Deleted in disco-proposed on 2019-01-07 (Reason: moved to release)
cglib (3.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.9.
    - Fix FTBFS with ASM 7. (Closes: #912645)

 -- Markus Koschany <email address hidden>  Thu, 08 Nov 2018 14:31:16 +0100

Available diffs

Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-10-15
Deleted in cosmic-proposed (Reason: moved to release)
cglib (3.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.8.
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <email address hidden>  Tue, 02 Oct 2018 20:23:12 +0200

Available diffs

Superseded in cosmic-release on 2018-10-15
Published in bionic-release on 2018-03-25
Deleted in bionic-proposed (Reason: moved to release)
cglib (3.2.6-2) unstable; urgency=medium

  * Team upload.
  * Ignore the test failures for now. Issues were forwarded upstream by daitx.
    (Closes: #892937)

 -- Markus Koschany <email address hidden>  Fri, 23 Mar 2018 15:24:01 +0100

Available diffs

Superseded in bionic-release on 2018-03-25
Deleted in bionic-proposed on 2018-03-26 (Reason: moved to release)
cglib (3.2.6-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871845)
  * Update copyright info.

  [ Emmanuel Bourg ]
  * New upstream release
    - Depend on libasm-java (>= 6.0)
    - Refreshed the patches
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <email address hidden>  Tue, 13 Feb 2018 00:00:32 +0100

Available diffs

Superseded in bionic-release on 2018-02-13
Published in artful-release on 2017-06-20
Deleted in artful-proposed (Reason: moved to release)
cglib (3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <email address hidden>  Mon, 19 Jun 2017 16:12:40 +0200

Available diffs

Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
cglib (3.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <email address hidden>  Thu, 14 Jul 2016 23:47:14 +0200

Available diffs

Superseded in yakkety-release on 2016-07-15
Deleted in yakkety-proposed on 2016-07-16 (Reason: moved to release)
cglib (3.2.3-3) unstable; urgency=medium

  * Team upload.
  * Make the ant dependency really optional (Closes: #830204)

 -- Emmanuel Bourg <email address hidden>  Thu, 07 Jul 2016 13:17:44 +0200

Available diffs

Superseded in yakkety-release on 2016-07-08
Deleted in yakkety-proposed on 2016-07-09 (Reason: moved to release)
cglib (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on ant (Closes: #814726)

 -- Emmanuel Bourg <email address hidden>  Sun, 26 Jun 2016 16:13:44 +0200

Available diffs

Superseded in yakkety-release on 2016-06-27
Deleted in yakkety-proposed on 2016-06-28 (Reason: moved to release)
cglib (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <email address hidden>  Mon, 20 Jun 2016 23:26:00 +0200

Available diffs

Superseded in yakkety-release on 2016-06-21
Deleted in yakkety-proposed on 2016-06-22 (Reason: moved to release)
cglib (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <email address hidden>  Wed, 20 Apr 2016 17:33:09 +0200

Available diffs

Superseded in yakkety-release on 2016-04-28
Published in xenial-release on 2016-02-02
Deleted in xenial-proposed (Reason: moved to release)
cglib (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Specify that libcglib-nodep-java breaks/replaces libcglib-java (<< 3.0)
    (Closes: #813400)

 -- Emmanuel Bourg <email address hidden>  Mon, 01 Feb 2016 17:44:26 +0100

Available diffs

Superseded in xenial-release on 2016-02-02
Deleted in xenial-proposed on 2016-02-03 (Reason: moved to release)
cglib (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build with maven-debian-helper
    - Removed the patches
  * Moved the cglib-nodep jar to a separate package
  * Standards-Version updated to 3.9.6 (no changes)
  * debian/watch: Track the release tags on GitHub
  * Register the documentation with doc-base

 -- Emmanuel Bourg <email address hidden>  Thu, 28 Jan 2016 17:51:50 +0100

Available diffs

Superseded in xenial-release on 2016-01-29
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Superseded in vivid-release on 2015-04-06
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
cglib (2.2.2+dfsg2-2) unstable; urgency=medium


  * Team upload.
  * Disabled the unit tests (Closes: #768721)
  * Set the source level to fix a build failure
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <email address hidden>  Mon, 17 Nov 2014 14:13:01 +0100

Available diffs

Superseded in vivid-release on 2014-11-17
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
cglib (2.2.2+dfsg2-1) unstable; urgency=medium


  * Team upload.
  * Update Built-Using to refer to the asm3 source package.
  * Correctly bump the upstream version to incorporate the repack
    that includes the missing asm licence file referenced in the
    previous upload.

 -- tony mancill <email address hidden>  Tue, 11 Feb 2014 23:05:31 -0800

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
cglib (2.2.2+dfsg-5) unstable; urgency=low


  [ James Page ]
  * Fix FTBFS with OpenJDK7:
    - d/ant.properties: Ensure that all classes are built to target
      Java 1.5 to ensure backwards compatibility and correct execution
      of test suite. (Closes: #673175).

  [ Damien Raude-Morvan ]
  * Merge change from James Page. Thanks!

 -- Damien Raude-Morvan <email address hidden>  Wed, 30 May 2012 00:58:04 +0200
Superseded in quantal-release on 2012-05-30
cglib (2.2.2+dfsg-2ubuntu1) quantal; urgency=low

  * Fix FTBFS with OpenJDK7:
    - d/ant.properties: Ensure that all classes are built to target
      Java 1.5 to ensure backwards compatibility and correct execution
      of test suite.
 -- James Page <email address hidden>   Wed, 16 May 2012 17:12:47 +0100
Superseded in quantal-release on 2012-05-16
cglib (2.2.2+dfsg-2) unstable; urgency=low


  * Bump Standards-Version to 3.9.3: no changes needed.
  * d/control: Remove Michael Koch from Uploaders (Closes: #654001).
  * d/patches/04_dont_use_userhome.diff: Don't use $HOME to output debug files.
    (Closes: #666668)

 -- Damien Raude-Morvan <email address hidden>  Sun, 01 Apr 2012 18:46:48 +0200
Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-11-13
cglib (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * d/copyright: Use DEP-5 format.
  * d/rules: Enable unit testing.
  * d/patches/04_skiptests_ParallelSorter.diff: Skip some failing test.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  13 Nov 2011 01:31:04 +0000

Available diffs

Superseded in precise-release on 2011-11-13
Superseded in precise-release on 2011-10-19
Obsolete in oneiric-release on 2015-04-24
Superseded in oneiric-release on 2011-08-18
cglib (2.2+dfsg-4) unstable; urgency=low

  * d/rules, d/pom-nodep.xml: Install -nodep jar with another artifactId
    to avoid conflict in /usr/share/maven-repo (Closes: #617865).

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
cglib (2.2+dfsg-2) unstable; urgency=low

  [ Gabriele Giacone ]
  * Added Maven Support
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)

  [ Damien Raude-Morvan ]
  * Remove Arnaud Vandyck from Uploaders
  * Source format 3.0 (quilt):
    - Remove patchsys-quilt.mk from d/rules
    - Rework d/README.source
  * Maven Support:
    - Add "get-orig-pom" target in d/rules to update pom.xml
  * Remove d/README.Debian (already included in d/README.source)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:13:58 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
Superseded in lucid-release on 2009-10-30
cglib (2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Rename source package to "cglib"
    - Drop unneeded Build-Depends on libaspectwerkz2-java
    - Build-Depends on libasm3-java instead of libasm-java
    - Drop uneeded debian/patches/01_build_classpath.patch 
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package.
  * Switch to debhelper 7
  * Use Quilt patch system:
    - refresh all debian/patches
    - Build-Depends on quilt
    - Update debian/README.source
  * Update my email address
  * Bump Standards-Version to 3.8.3: no changes needed
  * Fix debian/copyright to include BSD license of
    src/proxy/net/sf/cglib/core/LocalVariablesSorter.java

122 of 22 results